Bug 1130307 - MacOSX/Darwin port
Summary: MacOSX/Darwin port
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: 3.6.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1089172
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 19:57 UTC by Harshavardhana
Modified: 2015-03-23 01:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1089172
Environment:
Last Closed: 2014-11-11 08:37:26 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Harshavardhana 2014-08-14 19:57:53 UTC
+++ This bug was initially created as a clone of Bug #1089172 +++

Description of problem:

Placeholder for MacOSX porting efforts

Version-Release number of selected component (if applicable):
mainline

--- Additional comment from Anand Avati on 2014-04-18 03:42:01 EDT ---

REVIEW: http://review.gluster.org/7503 (build: MacOSX Porting fixes) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-18 19:18:24 EDT ---

REVIEW: http://review.gluster.org/7503 (build: MacOSX Porting fixes) posted (#8) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-19 05:36:20 EDT ---

REVIEW: http://review.gluster.org/7503 (build: MacOSX Porting fixes) posted (#9) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-20 01:34:02 EDT ---

REVIEW: http://review.gluster.org/7503 (build: MacOSX Porting fixes) posted (#10) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-21 21:27:40 EDT ---

REVIEW: http://review.gluster.org/7503 (build: MacOSX Porting fixes) posted (#11) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-23 17:08:36 EDT ---

REVIEW: http://review.gluster.org/7503 (build: MacOSX Porting fixes) posted (#12) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-24 17:41:56 EDT ---

COMMIT: http://review.gluster.org/7503 committed in master by Anand Avati (avati@redhat.com) 
------
commit a3cb38e3edf005bef73da4c9cfd958474a14d50f
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Thu Apr 17 15:54:34 2014 -0700

    build: MacOSX Porting fixes
    
    git@forge.gluster.org:~schafdog/glusterfs-core/osx-glusterfs
    
    Working functionality on MacOSX
    
     - GlusterD (management daemon)
     - GlusterCLI (management cli)
     - GlusterFS FUSE (using OSXFUSE)
     - GlusterNFS (without NLM - issues with rpc.statd)
    
    Change-Id: I20193d3f8904388e47344e523b3787dbeab044ac
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Signed-off-by: Dennis Schafroth <dennis@schafroth.com>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Dennis Schafroth <dennis@schafroth.com>
    Reviewed-on: http://review.gluster.org/7503
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

--- Additional comment from Anand Avati on 2014-04-24 18:44:51 EDT ---

REVIEW: http://review.gluster.org/7552 (osx: compilation problems fixed) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-24 18:44:56 EDT ---

REVIEW: http://review.gluster.org/7553 (macfuse: Add missing darwin headers to 'noinst') posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-24 18:49:33 EDT ---

REVIEW: http://review.gluster.org/7554 (macfuse: Add missing darwin headers to 'noinst') posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-24 18:49:39 EDT ---

REVIEW: http://review.gluster.org/7555 (osx: compilation problems fixed) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-24 20:10:01 EDT ---

REVIEW: http://review.gluster.org/7556 (osx: Compilation fixes) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-25 15:02:37 EDT ---

COMMIT: http://review.gluster.org/7556 committed in master by Anand Avati (avati@redhat.com) 
------
commit 841ac48b413f0e108d25af36429568b6d34dab39
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Thu Apr 24 17:09:24 2014 -0700

    osx: Compilation fixes
    
    Change-Id: I822936cbeb4ec8af46be8e94644ea666b919ae5c
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7556
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

--- Additional comment from Anand Avati on 2014-04-26 21:31:26 EDT ---

REVIEW: http://review.gluster.org/7571 (libglusterfs: Define macro GF_PRI_USEC for Linux as well) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Anand Avati on 2014-04-27 02:02:11 EDT ---

COMMIT: http://review.gluster.org/7571 committed in master by Anand Avati (avati@redhat.com) 
------
commit fbef3a51c501c67ce6814dd16efb87758d855d48
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Sun Apr 27 07:00:34 2014 +0530

    libglusterfs: Define macro GF_PRI_USEC for Linux as well
    
    Change-Id: I073f1f4ead4391d497fbb7603f9ee0257271493b
    BUG: 1089172
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/7571
    Reviewed-by: Harshavardhana <harsha@harshavardhana.net>
    Tested-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-by: Anand Avati <avati@redhat.com>

--- Additional comment from Anand Avati on 2014-04-28 18:28:06 EDT ---

REVIEW: http://review.gluster.org/7584 (glusterd: make sure that mntent.h is conditionally included) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-28 19:33:01 EDT ---

REVIEW: http://review.gluster.org/7585 (nlm: fix rpc.statd typo) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-04-28 21:24:32 EDT ---

COMMIT: http://review.gluster.org/7585 committed in master by Anand Avati (avati@redhat.com) 
------
commit d960a4ac74fb695581a2a00080fab16f8886ea9e
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Mon Apr 28 16:31:15 2014 -0700

    nlm: fix rpc.statd typo
    
    Change-Id: I701fd82a8dd5a72727b8035bc6c2861465f1aa1f
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7585
    Reviewed-by: Anand Avati <avati@redhat.com>
    Tested-by: Anand Avati <avati@redhat.com>

--- Additional comment from Anand Avati on 2014-04-29 19:18:28 EDT ---

COMMIT: http://review.gluster.org/7584 committed in master by Anand Avati (avati@redhat.com) 
------
commit 4d9e0bf658cce3cf9f808bb6d0a4cb2d8c9ad504
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Mon Apr 28 15:27:13 2014 -0700

    glusterd: make sure that mntent.h is conditionally included
    
    Change-Id: I39c362c0908166707e10e8820cc1ee9a0989dcbe
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7584
    Reviewed-by: Anand Avati <avati@redhat.com>
    Tested-by: Anand Avati <avati@redhat.com>

--- Additional comment from Anand Avati on 2014-05-03 03:03:53 EDT ---

REVIEW: http://review.gluster.org/7651 (glusterd/snapshot: umount2 on OSX/NetBSD is unmount) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-03 17:56:01 EDT ---

REVIEW: http://review.gluster.org/7654 (glusterd: NFS server wrongly started with `DEBUG` log-level) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-03 18:04:47 EDT ---

REVIEW: http://review.gluster.org/7651 (glusterd/snapshot: umount2 on OSX/NetBSD is unmount) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-03 18:30:29 EDT ---

COMMIT: http://review.gluster.org/7651 committed in master by Anand Avati (avati@redhat.com) 
------
commit aea76f0ec5ca01fd10810d704e5ad00cb4eba2fc
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sat May 3 00:02:03 2014 -0700

    glusterd/snapshot: umount2 on OSX/NetBSD is unmount
    
    Change-Id: I8de4d47bb2a54b915243ea029cce2585fba34876
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7651
    Reviewed-by: Justin Clift <justin@gluster.org>
    Tested-by: Justin Clift <justin@gluster.org>
    Reviewed-by: Anand Avati <avati@redhat.com>

--- Additional comment from Anand Avati on 2014-05-03 18:38:18 EDT ---

REVIEW: http://review.gluster.org/7654 (glusterd: NFS server wrongly started with `DEBUG` log-level) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-03 19:21:39 EDT ---

REVIEW: http://review.gluster.org/7655 (changelog: in C99 `inline` shouldn't be part of function definition) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-03 22:40:18 EDT ---

COMMIT: http://review.gluster.org/7655 committed in master by Anand Avati (avati@redhat.com) 
------
commit d5918849bebc8df85b017e3eddefaef69f008889
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sat May 3 16:17:04 2014 -0700

    changelog: in C99 `inline` shouldn't be part of function definition
    
    - C99 standard dictates that `inline` should be used only to hint
      function implementation not as a definition
              - http://clang.llvm.org/compatibility.html#inline
      This also leads to run time issues as 'undefined symbols'
    
    - Remember to use adding explicit headers when using an external
      function
    
    Change-Id: I66a9030da7ac38ded6e0b6a977182be977382fa2
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7655
    Reviewed-by: Anand Avati <avati@redhat.com>
    Tested-by: Anand Avati <avati@redhat.com>

--- Additional comment from Anand Avati on 2014-05-04 04:07:20 EDT ---

REVIEW: http://review.gluster.org/7656 (runtime: Disable optimization for OSX versions < 10.9) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-05 12:10:54 EDT ---

REVIEW: http://review.gluster.org/7654 (glusterd: NFS server wrongly started with `DEBUG` log-level) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-05 20:54:18 EDT ---

REVIEW: http://review.gluster.org/7656 (runtime: Disable optimization for OSX versions < 10.9) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-05 20:54:52 EDT ---

REVIEW: http://review.gluster.org/7654 (glusterd: NFS server wrongly started with `DEBUG` log-level) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-08 00:05:40 EDT ---

COMMIT: http://review.gluster.org/7654 committed in master by Krishnan Parthasarathi (kparthas@redhat.com) 
------
commit eeb4434d6196735323fa28cfd19b5f7b36e1f664
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sat May 3 14:52:11 2014 -0700

    glusterd: NFS server wrongly started with `DEBUG` log-level
    
    Disable DEBUG
    
    Change-Id: I011231ba3df4a42f892f1305867bfc74bb101269
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7654
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Krishnan Parthasarathi <kparthas@redhat.com>

--- Additional comment from Anand Avati on 2014-05-08 23:14:03 EDT ---

COMMIT: http://review.gluster.org/7656 committed in master by Anand Avati (avati@redhat.com) 
------
commit 4f8c7cc34dad6a963f70dfcf11e737fd44c31a42
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sun May 4 01:04:11 2014 -0700

    runtime: Disable optimization for OSX versions < 10.9
    
    Optimization flags has led to segfaults at wrong locations
    throughout gluster code for versions < 10.9
    
    Assuming this to be a compiler bug, disable optimization
    flags
    
    Change-Id: Ia2dc983dc5bb06935f03b68c07688ce41255d7da
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7656
    Reviewed-by: Justin Clift <justin@gluster.org>
    Tested-by: Justin Clift <justin@gluster.org>

--- Additional comment from Anand Avati on 2014-05-09 03:18:45 EDT ---

REVIEW: http://review.gluster.org/7722 (osx: build issues after recent commit) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-09 14:42:47 EDT ---

REVIEW: http://review.gluster.org/7722 (osx: build issues after recent commit) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-11 04:17:20 EDT ---

REVIEW: http://review.gluster.org/7722 (osx: build issues after recent commit) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-13 20:43:33 EDT ---

REVIEW: http://review.gluster.org/7757 (api: non glibc systems do not define __THROW) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-14 01:38:43 EDT ---

REVIEW: http://review.gluster.org/7757 (api: non glibc systems do not define __THROW) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-14 01:45:00 EDT ---

REVIEW: http://review.gluster.org/7722 (osx: build issues after recent commit) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-14 05:16:59 EDT ---

REVIEW: http://review.gluster.org/7757 (api: non glibc systems do not define __THROW) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-14 05:18:11 EDT ---

REVIEW: http://review.gluster.org/7757 (api: non glibc c++ systems do not define __THROW) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-15 02:42:08 EDT ---

REVIEW: http://review.gluster.org/7757 (api: non glibc c++ systems do not define __THROW) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-15 03:17:32 EDT ---

REVIEW: http://review.gluster.org/7722 (contrib: Cross platform fixes after recent commits) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-16 10:22:54 EDT ---

REVIEW: http://review.gluster.org/7722 (contrib: Cross platform fixes after recent commits) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-16 11:33:26 EDT ---

REVIEW: http://review.gluster.org/7722 (contrib: Cross platform fixes after recent commits) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-17 14:53:00 EDT ---

COMMIT: http://review.gluster.org/7722 committed in master by Anand Avati (avati@redhat.com) 
------
commit aa85de4be3f96a140a69170330293bfdfa3d24e7
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Thu May 15 00:15:52 2014 -0700

    contrib: Cross platform fixes after recent commits
    
    - provide a getment_r () version which behaves as
      re-entrant with some caveats for NetBSD/OSX specific.
    - some apparent warning issues fixed, always use PRI* format
      specification avoid using %ld i.e not portable
    
    Change-Id: Ib3d1a73b426e38b436b356355b97db0104a1a4a5
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7722
    Reviewed-by: Emmanuel Dreyfus <manu@netbsd.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

--- Additional comment from Anand Avati on 2014-05-17 14:54:40 EDT ---

COMMIT: http://review.gluster.org/7757 committed in master by Anand Avati (avati@redhat.com) 
------
commit f4944449940ee08d8add767ba81cd5ca8f8611a5
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Tue May 13 17:42:14 2014 -0700

    api: non glibc c++ systems do not define __THROW
    
    Let __THROW be defined conditionally for more portability
    
    Change-Id: I6e7cb1eb59b84988e155e9a8b696e842b7ff8f7f
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7757
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Emmanuel Dreyfus <manu@netbsd.org>
    Reviewed-by: Anand Avati <avati@redhat.com>

--- Additional comment from Anand Avati on 2014-05-17 19:28:19 EDT ---

REVIEW: http://review.gluster.org/7787 (rpc: make sure we use relative path) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-20 00:01:28 EDT ---

COMMIT: http://review.gluster.org/7787 committed in master by Anand Avati (avati@redhat.com) 
------
commit 0b4fc6c8bfed9ccc87d97056399a848c8990e500
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sat May 17 16:26:34 2014 -0700

    rpc: make sure we use relative path
    
    In commit "618d465295df02ae6d53be1327947a210bb8b47d" we made
    change regarding NetBSD make by replacing `$<`, fix it
    accordingly.
    
    Change-Id: Ief82887253ede8216efd0ae7d5f73329f1492846
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7787
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-by: Justin Clift <justin@gluster.org>
    Tested-by: Justin Clift <justin@gluster.org>

--- Additional comment from Anand Avati on 2014-05-30 04:07:53 EDT ---

REVIEW: http://review.gluster.org/7932 (build: Avoid gcc pragmas when clang is enabled) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-05-30 04:42:05 EDT ---

REVIEW: http://review.gluster.org/7933 (snapview: Disable snapview client/server for osx) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-01 15:48:38 EDT ---

REVIEW: http://review.gluster.org/7932 (build: Avoid gcc pragmas when clang is enabled) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-01 15:48:48 EDT ---

REVIEW: http://review.gluster.org/7933 (snapview: Disable snapview client/server for osx) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-02 20:40:59 EDT ---

REVIEW: http://review.gluster.org/7933 (snapview: Disable snapview client/server for osx) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-03 03:34:03 EDT ---

REVIEW: http://review.gluster.org/7933 (snapview: Disable snapview client/server for osx) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-04 19:24:37 EDT ---

COMMIT: http://review.gluster.org/7932 committed in master by Anand Avati (avati@redhat.com) 
------
commit ea58f256463efb07824dbd307af06f2c3960f254
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Fri May 30 01:07:04 2014 -0700

    build: Avoid gcc pragmas when clang is enabled
    
    Change-Id: I86544a9bfd24ef1a69315c0f6c3abcdd9aeb2c69
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7932
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

--- Additional comment from Anand Avati on 2014-06-08 14:50:56 EDT ---

REVIEW: http://review.gluster.org/7998 (snapview/server: warning cleanup after clang complaints) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-09 14:42:47 EDT ---

REVIEW: http://review.gluster.org/7998 (snapview/server: warning cleanup after clang complaints) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-11 00:18:24 EDT ---

REVIEW: http://review.gluster.org/7998 (snapview/server: warning cleanup after clang complaints) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-13 13:14:53 EDT ---

REVIEW: http://review.gluster.org/7998 (snapview/server: warning cleanup after clang complaints) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-13 21:55:16 EDT ---

REVIEW: http://review.gluster.org/8067 (glusterd: Avoid simple inline function definitions with local scope) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-06-18 02:17:05 EDT ---

COMMIT: http://review.gluster.org/8067 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d0657d2989c1ba50ff76f15223ed9ce6a20a8682
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Fri Jun 13 18:50:44 2014 -0700

    glusterd: Avoid simple inline function definitions with local scope
    
    C99/clang treats simple 'inline' function definitions as external
    scoped functions - this leads to flat_namespace issue on OSX.
    
    Avoid them by making them 'static inline' instead.
    
    Change-Id: I03deb4a72e0ba16e5e21e9739792b777898b67ed
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8067
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

--- Additional comment from Anand Avati on 2014-06-18 02:18:20 EDT ---

COMMIT: http://review.gluster.org/7998 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 438234fccb41f9621e7506737438d77bc4f0d4f2
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Thu Jun 5 23:09:56 2014 -0700

    snapview/server: warning cleanup after clang complaints
    
    - svs_inode_new()/svs_fd_new() should only need "no" arguments as
      presented
    
    - define variables only with usability :-)
    
    Change-Id: I10a8d189a088701b29f26b6e4913560e32d16e75
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/7998
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Bhat <raghavendra@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

--- Additional comment from Anand Avati on 2014-07-01 19:09:20 EDT ---

REVIEW: http://review.gluster.org/8216 (porting: Provide fallocate for OSX) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-01 19:12:29 EDT ---

REVIEW: http://review.gluster.org/8217 (porting: Provide fallocate for OSX) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-01 22:18:00 EDT ---

REVIEW: http://review.gluster.org/8217 (porting: Provide fallocate for OSX) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-01 22:18:06 EDT ---

REVIEW: http://review.gluster.org/8219 (porting: Enable 64bit inode properly on Darwin) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-01 22:20:21 EDT ---

REVIEW: http://review.gluster.org/8219 (porting: Enable 64bit inode properly on Darwin) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-01 22:20:32 EDT ---

REVIEW: http://review.gluster.org/8217 (porting: Provide fallocate and fremovexattr for OSX) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-07-02 20:24:26 EDT ---

COMMIT: http://review.gluster.org/8217 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 6718342a2cc853e8e6b268abe802d5bd28eca8c0
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Tue Jul 1 16:08:40 2014 -0700

    porting: Provide fallocate and fremovexattr for OSX
    
    Change-Id: I563216f83edaff6d01a251ef0c1746a14aec700c
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8217
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Anand Avati on 2014-07-02 20:26:40 EDT ---

COMMIT: http://review.gluster.org/8219 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit 5723645715ae25c2de1bbdde1cf793e194e69eff
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Tue Jul 1 19:03:52 2014 -0700

    porting: Enable 64bit inode properly on Darwin
    
    Usage of -D__DARWIN_64_BIT_INO_T was wrong, use
    
    -D_DARWIN_USE_64_BIT_INODE instead
    
    Change-Id: I4b532232d0a61fe30f08c41ffeba50fff4ecd79e
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8219
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Niels de Vos on 2014-07-11 11:44:18 EDT ---



--- Additional comment from Anand Avati on 2014-08-08 06:00:30 EDT ---

REVIEW: http://review.gluster.org/8436 (osx: snapview-server fails to build on OSX use 'syscall.h') posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-09 22:02:01 EDT ---

REVIEW: http://review.gluster.org/8436 (osx: snapview-server fails to build on OSX use 'syscall.h') posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-10 01:53:13 EDT ---

COMMIT: http://review.gluster.org/8436 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit a1dff6498afaed5e87b383f6de6c183f52d7db41
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Fri Aug 8 02:59:34 2014 -0700

    osx: snapview-server fails to build on OSX use 'syscall.h'
    
    Change-Id: I29aeb32a972ed6d19e779b9e79fce9a489848497
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8436
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Anand Avati on 2014-08-10 02:56:08 EDT ---

REVIEW: http://review.gluster.org/8448 (osx: Enable qemu build on Darwin) posted (#1) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-10 03:33:09 EDT ---

REVIEW: http://review.gluster.org/8448 (osx: Enable qemu build on Darwin) posted (#2) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-10 03:40:55 EDT ---

REVIEW: http://review.gluster.org/8448 (osx: Enable qemu build on Darwin) posted (#3) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-10 03:45:20 EDT ---

REVIEW: http://review.gluster.org/8448 (osx: Enable qemu build on Darwin) posted (#4) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-10 04:05:42 EDT ---

REVIEW: http://review.gluster.org/8448 (osx: Enable qemu build on Darwin) posted (#5) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-10 04:24:31 EDT ---

REVIEW: http://review.gluster.org/8448 (osx: Enable qemu feature build on Darwin) posted (#6) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-11 02:33:03 EDT ---

REVIEW: http://review.gluster.org/8448 (osx: Enable qemu feature build on Darwin) posted (#7) for review on master by Harshavardhana (harsha@harshavardhana.net)

--- Additional comment from Anand Avati on 2014-08-11 12:03:04 EDT ---

COMMIT: http://review.gluster.org/8448 committed in master by Harshavardhana (harsha@harshavardhana.net) 
------
commit c77a77ef0fca8371bba956b78a2da80f73f6f26b
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Sat Aug 9 23:54:15 2014 -0700

    osx: Enable qemu feature build on Darwin
    
    Change-Id: Ie5d437aa6c52c180fd8d54680c5f882e75c0bf7e
    BUG: 1089172
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8448
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

--- Additional comment from Anand Avati on 2014-08-13 04:43:03 EDT ---

REVIEW: http://review.gluster.org/8472 (osx: snapview-server fails to build on OSX use 'syscall.h') posted (#1) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

--- Additional comment from Anand Avati on 2014-08-13 04:43:12 EDT ---

REVIEW: http://review.gluster.org/8474 (osx: Enable qemu feature build on Darwin) posted (#1) for review on dht-stale-layout-fixes by Raghavendra G (rgowdapp@redhat.com)

Comment 1 Anand Avati 2014-08-14 20:12:39 UTC
REVIEW: http://review.gluster.org/8487 (osx: snapview-server fails to build on OSX use 'syscall.h') posted (#1) for review on release-3.6 by Harshavardhana (harsha@harshavardhana.net)

Comment 2 Anand Avati 2014-08-14 20:16:47 UTC
REVIEW: http://review.gluster.org/8488 (porting: OSX/Darwin 10.9 porting issues) posted (#1) for review on release-3.6 by Harshavardhana (harsha@harshavardhana.net)

Comment 3 Anand Avati 2014-08-15 19:21:57 UTC
COMMIT: http://review.gluster.org/8487 committed in release-3.6 by Harshavardhana (harsha@harshavardhana.net) 
------
commit 873e9870c8cf8926b6a9aa43bbbb7d76b0994cc1
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Thu Aug 14 13:11:46 2014 -0700

    osx: snapview-server fails to build on OSX use 'syscall.h'
    
    Change-Id: Ib9443913abb89c6a04a8723bced4c77128047bd0
    BUG: 1130307
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8487
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 4 Anand Avati 2014-08-15 19:22:18 UTC
COMMIT: http://review.gluster.org/8488 committed in release-3.6 by Harshavardhana (harsha@harshavardhana.net) 
------
commit a42ea55a0062ea7c39a9e0390f13e8cb16a914aa
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Mon Aug 11 17:36:12 2014 -0700

    porting: OSX/Darwin 10.9 porting issues
    
    xdrproc_t() arguments are variadic and non-variadic
    
    On OSX > 10.9
    -------------
    typedef bool_t (*xdrproc_t)(XDR *, void *, unsigned int);
    
    On OSX < 10.9
    ------------
    typedef bool_t (*xdrproc_t)(XDR *, ...);
    
    FreeBSD all versions
    ------------
    typedef bool_t (*xdrproc_t)(XDR *, ...);
    
    NetBSD 6.1.4
    -----------
    typedef bool_t (*xdrproc_t)(XDR *, const void *);
    
    Linux all versions
    -----------
    typedef bool_t (*xdrproc_t)(XDR *, void *,...);
    
    This weird and odd implementations across various platforms
    should be handled properly.
    
    Change-Id: I49fab73cba0d965c78c71da1beba1ffb2d58b8f8
    BUG: 1130307
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8488
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 5 Anand Avati 2014-10-23 09:15:26 UTC
REVIEW: http://review.gluster.org/8970 (porting: OSX build fixes) posted (#1) for review on release-3.6 by Harshavardhana (harsha@harshavardhana.net)

Comment 6 Anand Avati 2014-10-23 19:09:54 UTC
COMMIT: http://review.gluster.org/8970 committed in release-3.6 by Harshavardhana (harsha@harshavardhana.net) 
------
commit 8ea1a4844975940013d8704f87ee137dcb27bfb5
Author: Harshavardhana <harsha@harshavardhana.net>
Date:   Tue Aug 26 14:40:01 2014 -0700

    porting: OSX build fixes
    
     - xml build
     - do not redefine AT_SYMLINK_FOLLOW
    
    Change-Id: I516b3713904a6bad946a30f76fe4821f2ac61fd3
    BUG: 1130307
    Signed-off-by: Harshavardhana <harsha@harshavardhana.net>
    Reviewed-on: http://review.gluster.org/8970
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 7 Niels de Vos 2014-11-11 08:37:26 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.6.1, please reopen this bug report.

glusterfs-3.6.1 has been announced [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://supercolony.gluster.org/pipermail/gluster-users/2014-November/019410.html
[2] http://supercolony.gluster.org/mailman/listinfo/gluster-users


Note You need to log in before you can comment on or make changes to this bug.